'use strict'

const IPFS = require('ipfs')


function App() {
    let node

    create()

    function create() {
        // TODO: After initial registration, trigger a fetch event for the page in the service worker.
        if ('serviceWorker' in navigator) {
            navigator.serviceWorker.register('/fetcher.js')
            .then((registration) => {
                console.log('Registered the service worker successfully')
            })
            .catch((err) => {
                console.log('Failed to register:', err)
            })
        }
    }
}

module.exports = App

App()
